diff --git a/.travis.yml b/.travis.yml
deleted file mode 100644
index 5af7344..0000000
--- a/.travis.yml
+++ /dev/null
@@ -1,180 +0,0 @@
-dist: focal
-language: c
-cache: ccache
-git:
-  submodules: false
-
-jobs:
-  include:
-
-    - addons:
-        apt_packages: gcc qemu-system-x86
-      env:
-      - CONFIG=""
-      - BUILD_DIR="."
-      - TESTS="access asyncpf debug emulator ept hypercall hyperv_clock
-          hyperv_connections hyperv_stimer hyperv_synic idt_test intel_iommu
-          ioapic ioapic-split kvmclock_test memory msr pcid pcid-disabled
-          rdpru realmode rmap_chain s3 setjmp sieve smap smptest smptest3
-          syscall tsc tsc_adjust tsx-ctrl umip vmexit_cpuid vmexit_inl_pmtimer
-          vmexit_ipi vmexit_ipi_halt vmexit_mov_from_cr8 vmexit_mov_to_cr8
-          vmexit_ple_round_robin vmexit_tscdeadline vmexit_tscdeadline_immed
-          vmexit_vmcall vmx_apic_passthrough_thread xsave"
-      - ACCEL="kvm"
-
-    - addons:
-        apt_packages: clang-10 qemu-system-x86
-      compiler: clang
-      env:
-      - CONFIG="--cc=clang-10"
-      - BUILD_DIR="x86-builddir"
-      - TESTS="access asyncpf debug emulator ept hypercall hyperv_clock
-          hyperv_connections hyperv_stimer hyperv_synic idt_test intel_iommu
-          ioapic ioapic-split kvmclock_test memory msr pcid pcid-disabled
-          rdpru realmode rmap_chain s3 setjmp sieve smap smptest smptest3
-          syscall tsc tsc_adjust tsx-ctrl umip vmexit_cpuid vmexit_inl_pmtimer
-          vmexit_ipi vmexit_ipi_halt vmexit_mov_from_cr8 vmexit_mov_to_cr8
-          vmexit_ple_round_robin vmexit_tscdeadline vmexit_tscdeadline_immed
-          vmexit_vmcall vmx_apic_passthrough_thread xsave"
-      - ACCEL="kvm"
-
-    - addons:
-        apt_packages: gcc gcc-multilib qemu-system-x86
-      env:
-      - CONFIG="--arch=i386"
-      - BUILD_DIR="."
-      - TESTS="asyncpf kvmclock_test msr pmu realmode s3 setjmp sieve smap
-          smptest smptest3 taskswitch taskswitch2 tsc tsc_adjust tsx-ctrl umip"
-      - ACCEL="kvm"
-
-    - addons:
-        apt_packages: gcc gcc-multilib qemu-system-x86
-      env:
-      - CONFIG="--arch=i386"
-      - BUILD_DIR="i386-builddir"
-      - TESTS="cmpxchg8b vmexit_vmcall vmexit_cpuid vmexit_ipi vmexit_ipi_halt
-          vmexit_mov_from_cr8 vmexit_mov_to_cr8 vmexit_ple_round_robin
-          vmexit_inl_pmtimer vmexit_tscdeadline vmexit_tscdeadline_immed"
-      - ACCEL="kvm"
-
-    - addons:
-        apt_packages: gcc-arm-linux-gnueabihf qemu-system-arm
-      env:
-      - CONFIG="--arch=arm --cross-prefix=arm-linux-gnueabihf-"
-      - BUILD_DIR="."
-      - TESTS="selftest-vectors-kernel selftest-vectors-user selftest-smp"
-
-    - addons:
-        apt_packages: gcc-arm-linux-gnueabihf qemu-system-arm
-      env:
-      - CONFIG="--arch=arm --cross-prefix=arm-linux-gnueabihf-"
-      - BUILD_DIR="arm-buildir"
-      - TESTS="pci-test pmu gicv2-active gicv3-active psci selftest-setup"
-
-    - addons:
-        apt_packages: gcc-aarch64-linux-gnu qemu-system-aarch64
-      env:
-      - CONFIG="--arch=arm64 --cross-prefix=aarch64-linux-gnu-"
-      - BUILD_DIR="."
-      - TESTS="cache gicv2-active gicv2-ipi gicv3-active gicv3-ipi pci-test
-          pmu-cycle-counter pmu-event-counter-config pmu-sw-incr psci
-          selftest-setup selftest-smp selftest-vectors-kernel
-          selftest-vectors-user timer"
-
-    - arch: arm64
-      addons:
-        apt_packages: clang-10 qemu-system-aarch64
-      compiler: clang
-      env:
-      - CONFIG="--arch=arm64 --cc=clang-10"
-      - BUILD_DIR="arm64-buildir"
-      - TESTS="cache gicv2-active gicv2-ipi gicv3-active gicv3-ipi pci-test
-          pmu-cycle-counter pmu-event-counter-config pmu-sw-incr selftest-setup
-          selftest-smp selftest-vectors-kernel selftest-vectors-user timer"
-
-    - addons:
-        apt_packages: gcc-powerpc64le-linux-gnu qemu-system-ppc
-      env:
-      - CONFIG="--arch=ppc64 --endian=little --cross-prefix=powerpc64le-linux-gnu-"
-      - BUILD_DIR="."
-      - TESTS="selftest-setup spapr_hcall emulator rtas-set-time-of-day"
-      - ACCEL="tcg,cap-htm=off"
-
-    - addons:
-        apt_packages: gcc-powerpc64le-linux-gnu qemu-system-ppc
-      env:
-      - CONFIG="--arch=ppc64 --endian=little --cross-prefix=powerpc64le-linux-gnu-"
-      - BUILD_DIR="ppc64le-buildir"
-      - TESTS="rtas-get-time-of-day rtas-get-time-of-day-base"
-      - ACCEL="tcg,cap-htm=off"
-
-    - addons:
-        apt_packages: gcc-s390x-linux-gnu qemu-system-s390x
-      env:
-      - CONFIG="--arch=s390x --cross-prefix=s390x-linux-gnu-"
-      - BUILD_DIR="."
-      - TESTS="cpumodel css diag10 diag288 diag308 emulator intercept sclp-1g
-          sclp-3g selftest-setup"
-      - ACCEL="tcg,firmware=s390x/run"
-
-    - addons:
-        apt_packages: gcc-s390x-linux-gnu qemu-system-s390x
-      env:
-      - CONFIG="--arch=s390x --cross-prefix=s390x-linux-gnu-"
-      - BUILD_DIR="s390x-builddir"
-      - TESTS="sieve skey stsi vector"
-      - ACCEL="tcg,firmware=s390x/run"
-
-    - os: osx
-      osx_image: xcode11.6
-      addons:
-        homebrew:
-          packages:
-            - bash
-            - coreutils
-            - gnu-getopt
-            - qemu
-            - x86_64-elf-gcc
-      env:
-      - CONFIG="--cross-prefix=x86_64-elf-"
-      - BUILD_DIR="build"
-      - TESTS="ioapic-split smptest smptest3 vmexit_cpuid vmexit_mov_from_cr8
-               vmexit_mov_to_cr8 vmexit_inl_pmtimer vmexit_ipi vmexit_ipi_halt
-               vmexit_ple_round_robin vmexit_tscdeadline
-               vmexit_tscdeadline_immed eventinj msr port80 setjmp
-               syscall tsc rmap_chain umip intel_iommu"
-      - ACCEL="tcg"
-      - PATH="/usr/local/opt/gnu-getopt/bin:$PATH"
-
-    - os: osx
-      osx_image: xcode11.6
-      addons:
-        homebrew:
-          packages:
-            - bash
-            - coreutils
-            - gnu-getopt
-            - qemu
-            - i686-elf-gcc
-      env:
-      - CONFIG="--arch=i386 --cross-prefix=i686-elf-"
-      - BUILD_DIR="build"
-      - TESTS="cmpxchg8b vmexit_cpuid vmexit_mov_from_cr8 vmexit_mov_to_cr8
-               vmexit_inl_pmtimer vmexit_ipi vmexit_ipi_halt
-               vmexit_ple_round_robin vmexit_tscdeadline
-               vmexit_tscdeadline_immed eventinj port80 setjmp tsc
-               taskswitch umip"
-      - ACCEL="tcg"
-      - PATH="/usr/local/opt/gnu-getopt/bin:$PATH"
-
-before_script:
-  - if [ "$ACCEL" = "kvm" ]; then
-      sudo chgrp kvm /usr/bin/qemu-system-* ;
-      sudo chmod g+s /usr/bin/qemu-system-* ;
-    fi
-  - mkdir -p $BUILD_DIR && cd $BUILD_DIR
-  - $TRAVIS_BUILD_DIR/configure $CONFIG
-script:
-  - make -j3
-  - ACCEL="${ACCEL:-tcg}" ./run_tests.sh -v $TESTS | tee results.txt
-  - grep -q PASS results.txt && ! grep -q FAIL results.txt